DELIMITER mysolus$$
		CREATE  OR REPLACE  FUNCTION  CDM_Get_HighValue_Threshold (vPercentile DECIMAL(2,2),vTxnStartDate DATE, vTxnEndDate DATE) RETURNS decimal(15,2) BEGIN     DECLARE vHighValue_Threshold_Ret DECIMAL(15,2) DEFAULT -1;      DECLARE CONTINUE HANDLER FOR SQLEXCEPTION RETURN -1;        SELECT SRC.Lt_ABV INTO vHighValue_Threshold_Ret   FROM   (     SELECT        Lt_ABV AS Lt_ABV,       ROUND(PERCENT_RANK() OVER (ORDER BY Lt_ABV ASC),2) AS Percentile_Rank     FROM CDM_Customer_TP_Var     WHERE        FTD BETWEEN vTxnStartDate AND vTxnEndDate   ) AS SRC   WHERE SRC.Percentile_Rank >= vPercentile   ORDER BY SRC.Lt_ABV ASC   LIMIT 1;    RETURN vHighValue_Threshold_Ret;     END			
mysolus$$
